Matrix Games Forums

Forums  Register  Login  Photo Gallery  Member List  Search  Calendars  FAQ 

My Profile  Inbox  Address Book  My Subscription  My Forums  Log Out

Stand Up requires Chains of War

 
View related threads: (in this forum | in all forums)

Logged in as: Guest
Users viewing this topic: none
  Printable Version
All Forums >> [New Releases from Matrix Games] >> Command: Modern Air / Naval Operations >> Mods and Scenarios >> Stand Up requires Chains of War Page: [1]
Login
Message << Older Topic   Newer Topic >>
Stand Up requires Chains of War - 5/3/2017 1:44:47 AM   
AndrewKurtz

 

Posts: 579
Joined: 9/20/2006
From: Greenville, SC
Status: offline
I am trying to load Stand Up with the 936.9 RC and it says it needs the Aircraft Damage Model. When I clock "Unlock" it says I need to upgrade to Chains of War.

_____________________________

Post #: 1
RE: Stand Up requires Chains of War - 5/3/2017 2:16:45 AM   
lamboman43

 

Posts: 93
Joined: 4/15/2016
Status: offline
Ugh, another one. There have been quite a few scenarios that have been updated to feature things we can't use yet. The devs didn't really think that through very well when they allowed us to include the new systems but not any way to run scenarios with them yet. For example, there is one scenario on the Steam Workshop that the creator must have updated recently with the new lasers and railguns, but now no one can open it. I've tried telling the creator but haven't gotten any response.

Scenario creators go in thinking they have access to everything in the databases, as it has been up until this recent update so I don't blame them. But while they can add the new stuff, no one can use them. And as a result, we can't even run the scenarios ourselves to take out the "exclusive" features. It has completely broken the scenarios until the scenario maker goes in and takes the offending features out.



< Message edited by lamboman43 -- 5/3/2017 2:19:03 AM >

(in reply to AndrewKurtz)
Post #: 2
RE: Stand Up requires Chains of War - 5/3/2017 12:40:32 PM   
Primarchx


Posts: 2913
Joined: 1/20/2013
Status: offline
Any word on a release date for CoW yet?

(in reply to lamboman43)
Post #: 3
RE: Stand Up requires Chains of War - 5/3/2017 12:48:37 PM   
mikmykWS

 

Posts: 11531
Joined: 3/22/2005
Status: offline
Thanks guys

I've added the Standup Issue to our list.

You can probably address this by rebuilding the scenario until the guys get to it. These are still betas and things are still being worked on.

Thanks!

Mike

< Message edited by mikmyk -- 5/3/2017 12:51:34 PM >


_____________________________


(in reply to Primarchx)
Post #: 4
RE: Stand Up requires Chains of War - 5/3/2017 12:57:02 PM   
mikmykWS

 

Posts: 11531
Joined: 3/22/2005
Status: offline

quote:

ORIGINAL: lamboman43

Ugh, another one. There have been quite a few scenarios that have been updated to feature things we can't use yet. The devs didn't really think that through very well when they allowed us to include the new systems but not any way to run scenarios with them yet. For example, there is one scenario on the Steam Workshop that the creator must have updated recently with the new lasers and railguns, but now no one can open it. I've tried telling the creator but haven't gotten any response.

Scenario creators go in thinking they have access to everything in the databases, as it has been up until this recent update so I don't blame them. But while they can add the new stuff, no one can use them. And as a result, we can't even run the scenarios ourselves to take out the "exclusive" features. It has completely broken the scenarios until the scenario maker goes in and takes the offending features out.




The scenario probably hasn't been updated to the newest build. Regardless my suggestion is maybe you stop grabbing the public betas. You don't seem to have a high tolerance for beta bugs and may be happier if you just wait.

Mike

_____________________________


(in reply to lamboman43)
Post #: 5
RE: Stand Up requires Chains of War - 5/3/2017 7:57:12 PM   
lamboman43

 

Posts: 93
Joined: 4/15/2016
Status: offline
quote:

ORIGINAL: mikmyk


quote:

ORIGINAL: lamboman43

Ugh, another one. There have been quite a few scenarios that have been updated to feature things we can't use yet. The devs didn't really think that through very well when they allowed us to include the new systems but not any way to run scenarios with them yet. For example, there is one scenario on the Steam Workshop that the creator must have updated recently with the new lasers and railguns, but now no one can open it. I've tried telling the creator but haven't gotten any response.

Scenario creators go in thinking they have access to everything in the databases, as it has been up until this recent update so I don't blame them. But while they can add the new stuff, no one can use them. And as a result, we can't even run the scenarios ourselves to take out the "exclusive" features. It has completely broken the scenarios until the scenario maker goes in and takes the offending features out.




The scenario probably hasn't been updated to the newest build. Regardless my suggestion is maybe you stop grabbing the public betas. You don't seem to have a high tolerance for beta bugs and may be happier if you just wait.

Mike

Regardless of what you think my tolerance levels are, I'm truly quite tolerant of bugs. I've beta tested before, I've played Bethesda games before. It's the game breaking stuff that is frustrating. But in between these occasional frustrations are definitely enjoyable times. My hours played wouldn't be as high as it is if I didn't enjoy the game and "tolerate bugs." I have a whole list of bugs and errors in the DBs that have persisted over several versions that I COULD bring up but I do tolerate them and don't say anything.

I'm sorry if you guys are offended or angered by my frustrations. I know you guys put a lot of time into this and I certainly don't intend to upset you. I'm the type of person that usually only speaks up when something is wrong. That's probably why you think I'm a whiny baby. The fact is, I just don't think I have anything meaningful to contribute when everything is going correctly. There is already plenty of people that let you know that. You don't need me to tell you when everything is peachy. Maybe it's a character flaw? I don't know.

For as long as I've lurked these forums I knew you'd send a response like this, but I don't know what to do anymore. I'd love to post legitimate bug "reports" but I think you've made it apparent that you don't want to hear it from me. When I do bring up a bug, I'm told I'm not tolerant and should go to the least buggy version. Which I admit has to do with my poor delivery. Yet when I look around, it seems like bug reporting is encouraged. I'm torn between trying to help but being told to be quiet, or not saying anything and being tolerant of issues and letting them persist unaddressed. I try to stick to the latter to avoid conflict like this and being turned into the forum bad-guy. Sometimes that's hard for me, though. I want to be a productive member of this forum. I don't want to be seen as the problem child anymore. Do you want me to try and provide better constructive criticism than this and reports, or do you want me to just be quiet? I can do either, I just need a clear answer, once and for all.


< Message edited by lamboman43 -- 5/3/2017 7:58:17 PM >

(in reply to mikmykWS)
Post #: 6
RE: Stand Up requires Chains of War - 5/3/2017 8:31:11 PM   
mikmykWS

 

Posts: 11531
Joined: 3/22/2005
Status: offline
quote:

ORIGINAL: lamboman43

quote:

ORIGINAL: mikmyk


quote:

ORIGINAL: lamboman43

Ugh, another one. There have been quite a few scenarios that have been updated to feature things we can't use yet. The devs didn't really think that through very well when they allowed us to include the new systems but not any way to run scenarios with them yet. For example, there is one scenario on the Steam Workshop that the creator must have updated recently with the new lasers and railguns, but now no one can open it. I've tried telling the creator but haven't gotten any response.

Scenario creators go in thinking they have access to everything in the databases, as it has been up until this recent update so I don't blame them. But while they can add the new stuff, no one can use them. And as a result, we can't even run the scenarios ourselves to take out the "exclusive" features. It has completely broken the scenarios until the scenario maker goes in and takes the offending features out.




The scenario probably hasn't been updated to the newest build. Regardless my suggestion is maybe you stop grabbing the public betas. You don't seem to have a high tolerance for beta bugs and may be happier if you just wait.

Mike

Regardless of what you think my tolerance levels are, I'm truly quite tolerant of bugs. I've beta tested before, I've played Bethesda games before. It's the game breaking stuff that is frustrating. But in between these occasional frustrations are definitely enjoyable times. My hours played wouldn't be as high as it is if I didn't enjoy the game and "tolerate bugs." I have a whole list of bugs and errors in the DBs that have persisted over several versions that I COULD bring up but I do tolerate them and don't say anything.

I'm sorry if you guys are offended or angered by my frustrations. I know you guys put a lot of time into this and I certainly don't intend to upset you. I'm the type of person that usually only speaks up when something is wrong. That's probably why you think I'm a whiny baby. The fact is, I just don't think I have anything meaningful to contribute when everything is going correctly. There is already plenty of people that let you know that. You don't need me to tell you when everything is peachy. Maybe it's a character flaw? I don't know.

For as long as I've lurked these forums I knew you'd send a response like this, but I don't know what to do anymore. I'd love to post legitimate bug "reports" but I think you've made it apparent that you don't want to hear it from me. When I do bring up a bug, I'm told I'm not tolerant and should go to the least buggy version. Which I admit has to do with my poor delivery. Yet when I look around, it seems like bug reporting is encouraged. I'm torn between trying to help but being told to be quiet, or not saying anything and being tolerant of issues and letting them persist unaddressed. I try to stick to the latter to avoid conflict like this and being turned into the forum bad-guy. Sometimes that's hard for me, though. I want to be a productive member of this forum. I don't want to be seen as the problem child anymore. Do you want me to try and provide better constructive criticism than this and reports, or do you want me to just be quiet? I can do either, I just need a clear answer, once and for all.



We're not upset at all and the intent wasn't to upset you. Sorry if I did.

Did you try updating the scenario?

Mike



< Message edited by mikmyk -- 5/3/2017 8:32:28 PM >


_____________________________


(in reply to lamboman43)
Post #: 7
RE: Stand Up requires Chains of War - 5/3/2017 8:32:36 PM   
CCIP-subsim


Posts: 588
Joined: 11/10/2015
Status: offline
I also recommend to use the scenario editor to run a DB update/scenario rebuild - it takes only a few seconds and in at least 90% of the cases (or 100% if an .ini is included) will give you a totally playable scenario that's identical to the original

Also, if scenario editors are building scenarios with closed betas that nobody else has - that's on them, and probably something they should avoid doing in the first place!

(in reply to lamboman43)
Post #: 8
RE: Stand Up requires Chains of War - 5/7/2017 7:27:05 AM   
lamboman43

 

Posts: 93
Joined: 4/15/2016
Status: offline
quote:

ORIGINAL: mikmyk



We're not upset at all and the intent wasn't to upset you. Sorry if I did.

Did you try updating the scenario?

Mike




The problem is that because this popup shows up, the level isn't actually even loaded yet. And there is no way to get through the blue popup without trying to buy the nonexistent expansion or "return to scenario selection." So I can't go to update the DB for that scenario without fully opening it. I tried looking in the .ini file as well, and I didn't see any way to update the DB on that one too. I've never messed with the .ini files before so I could be missing something easy.

Also, ignore the out of date build on top. I did update to B936.9. the most recent I could find. The results are the exact same though. If you need more screenshots, let me know.

Or if I'm misunderstanding what I should be updating, let me know as well.

Thank you.





Jesus, I didn't think the picture would be that big and obnoxious. Sorry about that.

Attachment (1)

< Message edited by lamboman43 -- 5/7/2017 7:28:13 AM >

(in reply to mikmykWS)
Post #: 9
RE: Stand Up requires Chains of War - 5/7/2017 7:59:20 AM   
michaelm75au


Posts: 12415
Joined: 5/5/2001
From: Sydney, Australia
Status: offline
I usually archive the pre-beta version of the program as a fallback in case of difficulties. If you attach a zip with the scenario and INI, I can try to upgrade it for you.

_____________________________

Michael

(in reply to lamboman43)
Post #: 10
RE: Stand Up requires Chains of War - 5/7/2017 8:09:20 AM   
michaelm75au


Posts: 12415
Joined: 5/5/2001
From: Sydney, Australia
Status: offline
Try this one


Attachment (1)

_____________________________

Michael

(in reply to michaelm75au)
Post #: 11
RE: Stand Up requires Chains of War - 5/7/2017 1:05:05 PM   
mikmykWS

 

Posts: 11531
Joined: 3/22/2005
Status: offline
Thanks Michael.

You could also just open the editor and do a batch rebuild. This doesn't require that you open the scenario.

Here's a click through on how to do that.

Open the game in editor mode. Go to Editor drop down pick Database than upgrade to the latest db. Click through the popup warning you of the latest db if you get it. The scenario migration dialog will appear. Click on Deep Rebuild All scenarios in List (batch rebuild).

The manual goes through how to create the list etc. but let me know if you have any questions.

Thanks!

Mike

< Message edited by mikmyk -- 5/7/2017 1:47:35 PM >


_____________________________


(in reply to michaelm75au)
Post #: 12
RE: Stand Up requires Chains of War - 5/7/2017 5:39:31 PM   
lamboman43

 

Posts: 93
Joined: 4/15/2016
Status: offline
I appreciate the upload michaelm, but the same issue is happening when I try to start that scenario too. It is saying that the Aircraft Damage model feature is required. So I can't open it either. :\

Back to Mikmyk,
So I went and created the scenario list file in Notepad++ since that seems ideal for this situation. I just copied and pasted the example it gave in section 7.1.3 of the manual and replaced its example file paths with the paths that the scenario files use on my computer.

When I select that scenario list file from the batch editor, however, it pops up and says that the scenario list file is improperly formatted and then pops up and says "no XML data found". (It also says I can look at the "SBR log file" to see any errors, but that file doesn't exist at the given address) I saved my scenario list file as an XML file as well as TXT file and tried both, but neither is being accepted. The manual just says scenario list "file", not what kind of file it is supposed to be. So I figured XML would be the most obvious.

Is it supposed to be saved in a different format? Is the example given in the manual broken?

And just to make this more cluttered, here is exactly what I put into my scenario list file.

quote:


<?xml version=”1.0” encoding=”utf-8”?>
<ScenarioList>
<Scenario>
<ScenarioFilePath> <!-- X:\Steam\steamapps\common\Command Modern Air Naval Operations\Scenarios\Standalone Scenarios\Stand Up, 2011.scen --> </ScenarioFilePath>
<ConfigFilePath> <!-- X:\Steam\steamapps\common\Command Modern Air Naval Operations\Scenarios\Standalone Scenarios\Stand Up, 2011.ini --> </ConfigFilePath>
</Scenario>
</ScenarioList>

Thank you for trying to help me with this.

(in reply to mikmykWS)
Post #: 13
RE: Stand Up requires Chains of War - 5/7/2017 5:47:13 PM   
mikmykWS

 

Posts: 11531
Joined: 3/22/2005
Status: offline
Hi

Can you verify that you modified the file path to where it's sits on your drive (you have an x drive?)as well as the ini file and that the names match? Usually this is where I goof things up.

Thanks

Mike

_____________________________


(in reply to lamboman43)
Post #: 14
RE: Stand Up requires Chains of War - 5/7/2017 5:57:41 PM   
mikmykWS

 

Posts: 11531
Joined: 3/22/2005
Status: offline
So for example mine would like something like this.

scenario list file to point at

_ScenarioList.ini

Make sure its truly an ini and not _ScenarioList.ini.txt or _ScenarioList.xml something like that. It's xml code but not an xml file.

My modified paths look like this. Bold font is to just highlight where I made a change.

quote:

<?xml version=”1.0” encoding=”utf-8”?>
<ScenarioList>
<Scenario>
<ScenarioFilePath> <!-- C:\Matrix Games\Command Modern Air Naval Operations\Scenarios\Standalone Scenarios\Stand Up, 2011.scen --> </ScenarioFilePath>
<ConfigFilePath> C:\Matrix Games\Command Modern Air Naval Operations\Scenarios\Standalone Scenarios\Stand Up, 2011.ini --> </ConfigFilePath>
</Scenario>
</ScenarioList>



You have to double check that you have both the scene file and ini file in the directory.

Thanks

Mike

< Message edited by mikmyk -- 5/7/2017 6:01:54 PM >


_____________________________


(in reply to mikmykWS)
Post #: 15
RE: Stand Up requires Chains of War - 5/7/2017 8:24:56 PM   
Jecchus

 

Posts: 11
Joined: 8/10/2015
Status: offline
I had a similar problem with some scenario a few days ago. My solution was using older version of Command, but with recent manualy downloaded DB files.

"Older version of Command" = in fact a recent Steam version.
"Recent DB files" = DB files from actual Release Candidates (for example from Command v1.12 Release Candidate -Build 936.9)

< Message edited by Jecchus -- 5/7/2017 8:29:28 PM >

(in reply to AndrewKurtz)
Post #: 16
RE: Stand Up requires Chains of War - 5/8/2017 10:17:06 AM   
michaelm75au


Posts: 12415
Joined: 5/5/2001
From: Sydney, Australia
Status: offline
There are the update files present in CP36 to look at.
e.g. _Community Scenario List 1.ini

_____________________________

Michael

(in reply to Jecchus)
Post #: 17
RE: Stand Up requires Chains of War - 5/9/2017 11:55:05 AM   
Zaslon

 

Posts: 284
Joined: 6/14/2015
Status: offline
How do you will solve this issue?
Or with other words, what's the behaviour of the management of the new CHoW-features?
CHoW features will be active by default for CHoW users or Scenery designers must activate it?

Thanks.


_____________________________


Kids think about Iran and Amateurs think about Russia, but professionals think about China

(in reply to michaelm75au)
Post #: 18
RE: Stand Up requires Chains of War - 6/29/2017 12:48:06 PM   
Dimitris


Posts: 10955
Joined: 7/31/2005
Status: offline
quote:

ORIGINAL: Zaslon
How do you will solve this issue?
Or with other words, what's the behaviour of the management of the new CHoW-features?
CHoW features will be active by default for CHoW users or Scenery designers must activate it?

Thanks.


Hi,

The new features introduced by CoW are disabled by default when you load an existing scenario. It is then up tot he scenario author to enable them individually after making any necessary adjustments on the scenario.

In this case the requirement for the "Aircraft Damage" feature was triggered erroneously because of an error in the rebuild process. IIRC we added a fix for this in one of the last updates so that this does not happen anymore (plz do let us know if you observe something like this in the current version).

Thanks!

_____________________________


(in reply to Zaslon)
Post #: 19
Page:   [1]
All Forums >> [New Releases from Matrix Games] >> Command: Modern Air / Naval Operations >> Mods and Scenarios >> Stand Up requires Chains of War Page: [1]
Jump to:





New Messages No New Messages
Hot Topic w/ New Messages Hot Topic w/o New Messages
Locked w/ New Messages Locked w/o New Messages
 Post New Thread
 Reply to Message
 Post New Poll
 Submit Vote
 Delete My Own Post
 Delete My Own Thread
 Rate Posts


Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI

0.211